using RimWorld;
using Verse;
using HarmonyLib;

namespace IdlePowerConsumption
{
    //public virtual Thing TryDispenseFood()
    [HarmonyPatch(typeof(Building_NutrientPasteDispenser))]
    [HarmonyPatch("TryDispenseFood")]
    public static class TryDispenseFood_Patch
    {

        [HarmonyPostfix]
        public static void TryDispenseFood_Postfix(ref Thing __result, Building_NutrientPasteDispenser __instance)
        {
            if(__result != null)
            {
                IdlePowerConsumption.tickableConsumersRegistry.Data(__instance.powerComp).IncreaseTicks(120);
            }
        }
    }
}