using RimWorld;
using System.Collections.Generic;

namespace IdlePowerConsumption
{

    public class TickableConsumersRegistry
    {
        private Dictionary<CompPowerTrader, TickableData> tickableRegistry;

        public TickableConsumersRegistry()
        {
            tickableRegistry = new Dictionary<CompPowerTrader, TickableData>();
        }

        public TickableData Data(CompPowerTrader compPowerTrader)
        {
            if(!tickableRegistry.ContainsKey(compPowerTrader))
            {
                tickableRegistry.Add(compPowerTrader, new TickableData());
            }

            return tickableRegistry[compPowerTrader];
        }
    }
}