using Verse;

namespace IdlePowerConsumption
{

    public class TickableData : IExposable
    {
        public int ticksToConsume;

        public TickableData()
        {
            ticksToConsume = 0;
        }

        public void IncreaseTicks(int amount)
        {
            ticksToConsume = ticksToConsume + amount;
        }

        public void ExposeData()
        {
            Scribe_Values.Look<int>(ref ticksToConsume, "IPC_ticksToConsume", 0, false);
        }
    }
}